python-metaconfig_0.1.4a1-3_all.deb


Advertisement

Description

python-metaconfig - Python ConfigParser bootstrapping library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-metaconfig
Package version: 0.1.4a1
Package release: 3
Package architecture: all
Package type: deb
Installed size: 70 B
Download size: 6.49 KB
Official Mirror: archive.ubuntu.com
Metaconfig is a library for centralising Python's ConfigParser files. It is inspired by the logging module where it is increadibly easy to start writing code that depends on logging whilst deferring how log messages will be handled until later.

Alternatives

    Download

    Source package: metaconfig

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-metaconfig deb package:
      # sudo apt-get install python-metaconfig

    Files

    • /usr/lib/python2.7/dist-packages/metaconfig/__init__.py
    • /usr/lib/python2.7/dist-packages/metaconfig/mconf.py
    • /usr/lib/python2.7/dist-packages/metaconfig-0.1.4a1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/metaconfig-0.1.4a1.egg-info/SOURCES.txt
    • /usr/lib/python2.7/dist-packages/metaconfig-0.1.4a1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/metaconfig-0.1.4a1.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/metaconfig-0.1.4a1.egg-info/top_level.txt
    • /usr/share/doc/python-metaconfig/changelog.Debian.gz
    • /usr/share/doc/python-metaconfig/copyright
    • /usr/share/pyshared/metaconfig/__init__.py
    • /usr/share/pyshared/metaconfig/mconf.py
    • /usr/share/pyshared/metaconfig-0.1.4a1.egg-info/PKG-INFO
    • /usr/share/pyshared/metaconfig-0.1.4a1.egg-info/SOURCES.txt
    • /usr/share/pyshared/metaconfig-0.1.4a1.egg-info/dependency_links.txt
    • /usr/share/pyshared/metaconfig-0.1.4a1.egg-info/not-zip-safe
    • /usr/share/pyshared/metaconfig-0.1.4a1.egg-info/top_level.txt

    Changelog

    2013-05-23 - Alastair McKinstry <mckinstry@debian.org> metaconfig (0.1.4a1-3) unstable; urgency=low * Include watch file from Bart Martens. * Packages are Arch:all not Arch:any. Closes: #709396. * Don't depend on python-*-dev packages; not needed.

    2013-05-09 - Alastair McKinstry <mckinstry@debian.org> metaconfig (0.1.4a1-2) unstable; urgency=low * Add python3-metaconfig binary package for python3 support. * Add patch for python3; dependency on python-configparser for python-metaconfig. * Move to dh_compat 9, Standards-Version: 3.9.4 * Clean better in rules so we can do double-builds.

    2011-11-17 - Alastair McKinstry <mckinstry@debian.org> metaconfig (0.1.4a1-1) unstable; urgency=low * Initial release. (Closes: #649690)

    Advertisement
    Advertisement